Specify OpenDocument icon(s) in Apache2 configuration

Bug #130836 reported by Lars Noodén on 2007-08-07
8
Affects Status Importance Assigned to Milestone
Apache2 Web Server
Unknown
Wishlist
apache2 (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: apache2

Ubuntu (Kubuntu/Xubuntu/Edubuntu) desktop users are using OpenOffice.org or Koffice for creating office documents, which means they will be generating a lot of files in the OpenDocument Format. Ubuntu's webservers, in this case Apache2 (in /etc/apache2/apache2.conf), should be configured to identify these formats at least generally.

Most general suggestion (one icon for all types):
    AddIcon /icons/odf.gif .odt .ods .odp .odg .odc .odf .odb .odi .odm .ott .ots .otp .otg .otc .otf .oti

One icon each for data and templates:
     AddIcon /icons/opendocumentfile.gif .odt .ods .odp .odg .odc .odf .odb .odi .odm
     AddIcon /icons/opendocumenttemplate.gif .ott .ots .otp .otg .otc .otf .oti

Very specific identification, one for each MIME-type:
     AddIcon /icons/odf_text.gif .odt
     AddIcon /icons/odf_spreadsheet.gif .ods
     AddIcon /icons/odf_presentation.gif .odp
     AddIcon /icons/odf_drawing.gif .odg
     AddIcon /icons/odf_chart.gif .odc
     AddIcon /icons/odf_formula.gif .odf
     AddIcon /icons/odf_database.gif .odb
     AddIcon /icons/odf_image.gif .odi
     AddIcon /icons/odf_masterdocument.gif .odm

     AddIcon /icons/odf_text_template.gif .ott
     AddIcon /icons/odf_spreadsheet_template.gif .ots
     AddIcon /icons/odf_presentation_template.gif .otp
     AddIcon /icons/odf_drawing_template.gif .otg
     AddIcon /icons/odf_chart_template.gif .otc
     AddIcon /icons/odf_formula_template.gif .otf
     AddIcon /icons/odf_image_template.gif .oti
     AddIcon /icons/odf_web_page_template.gif .oth

OpenDocument's MIME-types are already registered in /etc/mime.types which Apache2 reads.

At this point it doesn't matter so much which icons are used, it is enough to have any kind of identifying icon (that fits in with the system's themes) for the documents. If a starting suggestion is needed, then the following images and masks might be useful in creating the icon(s):
 http://www.catnip.co.uk/opendocument/odf-master.xcf
 http://www.catnip.co.uk/opendocument/graphics/odf_master.svg
 http://www.catnip.co.uk/opendocument/graphics/odf_master_color.svg

Please add an icon or icons indicating files found in the OpenDocument format.

A sample image:
 http://www.catnip.co.uk/opendocument/graphics/odf5odt-16x16.png

One quick way would be to make one icon, or maybe two (one for documents, one
for templates).

Images and masks which might be useful in creating the icon(s):
 http://www.catnip.co.uk/opendocument/odf-master.xcf
 http://www.catnip.co.uk/opendocument/graphics/odf_master.svg
 http://www.catnip.co.uk/opendocument/graphics/odf_master_color.svg

Many applications now support OpenDocument fully or on the way to full support:
     http://opendocumentfellowship.org/applications
Distros like Ubuntu now include documents in that format.
The EU and many member states are now moving to using the format.

See also bug #37185 for 1.3.x

Created attachment 19139
ODF mime type icons 20x22 for httpd

Here are some possible icons in 20x22. If you might want to use these mail me
and I will submit a CLA.

CLA should now be on file.

Is there anything needed beyond the CLA ?

I don't think we really want to start supporting dozens of very-specific
document formats like this. This set of icons would almost double the number of
configuration lines needed to activate fancyindexing.

Chris Puttick (cputtick) wrote :

Where do I vote? :)

+1 from me...

Pete Harlow (peter-harlow) wrote :

There are also two ODF icon sets available at:
[http://www.catnip.co.uk/opendocument/icons/#apache]

These sets are in 20x22 size and 16x16 size to match the icons included with Apache in:
/usr/share/apache2/icons/
The project is welcome to use these to identify ODF files if it wishes.

Mathias Gug (mathiaz) on 2007-08-07
Changed in apache2:
importance: Undecided → Wishlist
status: New → Triaged

It would be sufficient to have one icon for documents and another for document
templates.

However, keep in mind that IANA recognizes the individual formats and that
Apache already acknowledges many others.

I'd be fine with adding a couple icons. But we'd need a suggestion of exactly
what to add, and I think we also need gif format icons in addition to the pngs.

Changed in apache2:
assignee: nobody → nxvl
Nicolas Valcarcel (nvalcarcel) wrote :

Debdiff for revision

Nicolas Valcarcel (nvalcarcel) wrote :

New debdiff, with icons packaged.

Nicolas Valcarcel (nvalcarcel) wrote :

New debdiff

Nicolas Valcarcel (nvalcarcel) wrote :

FInal debdiff, i've built, install and test it :D

This is great.

Is there a short recipe for applying debdiffs? Looking at the manpage, there appears to be a reference to debpatch {sic}. Presumably, debdiff is an analog of diff, and there must then be a corresponding debpatch, right?

 http://www.fifi.org/cgi-bin/man2html/usr/share/man/man1/debdiff.1.gz

Or is it more appropriate to wait for the new packages?

Changed in apache2:
status: Triaged → Confirmed
assignee: nxvl → nobody
Mathias Gug (mathiaz) on 2007-10-27
Changed in apache2:
status: Confirmed → Triaged

Your last debdiff looks better. Good work !

There are still some modification needed:
  * The Maintainer field needs to be updated. See
    https://wiki.ubuntu.com/DebianMaintainerField.
  * There is a small typo in the changelog (around the breezy line). It
    should not be there.

--
Mathias

Ok, fixed. I don't know why was the typo :S

--
aka nxvl
key fingerprint: E140 4CC7 5E3C B6B4 DCA7 F6FD D22E 2FB4 A9BA 6877
gpg --keyserver keyserver.ubuntu.com --recv-keys A9BA6877
Yo uso Software Libre y tu?

Nicolas Valcarcel (nvalcarcel) wrote :

mm, the debdiff wasn't attached, so here it is.

On Sat, Oct 27, 2007 at 07:07:18AM -0000, Nicolas Valcárcel wrote:
> http://launchpadlibrarian.net/10183581/apache2_2.2.6-2ubuntu1.debdiff
>

Thanks for the debdiff. Things are improving every time.

There are still a couple of changes that are needed:
 * You've used the MOTU as the Maintainer. However, since apache2 is
   main, it should Ubuntu Core Developers.
 * The package doesn't build. It seems that there is an error around the
   chmod call in the rules file.

--
Mathias

Nicolas Valcarcel (nvalcarcel) wrote :

Ok, now there's no need to use chmod anymore.
Fixed the Maintainer field.

Mathias Gug (mathiaz) wrote :

Excellent. The last debdiff looks good now.

Luke Yelavich (themuso) wrote :

This package is in main. Unsubscribing ubuntu-universe-sponsors.

Soren Hansen (soren) wrote :

I'm afraid the license you've suggested is not acceptable for inclusion in Ubuntu.
If you could accept relicensing the icons under the apache license, we could even send them upstream and get them included in Apache. If that's not acceptable, please relicense them in a way that doesn't restrict their use to a specific purpose and make sure that you explicitly allow redistribution in both modified and un-modified form. That's the minimal requirements for us.

Thanks for your work so far!

That is not a problem - I've already forwarded the Apache size icons to the
Apache httpd project under their licence and completed the paperwork
required. What do you need from me for Ubuntu?

Regards,

Pete.

On 15/11/2007, Soren Hansen <email address hidden> wrote:
>
> I'm afraid the license you've suggested is not acceptable for inclusion in
> Ubuntu.
> If you could accept relicensing the icons under the apache license, we
> could even send them upstream and get them included in Apache. If that's not
> acceptable, please relicense them in a way that doesn't restrict their use
> to a specific purpose and make sure that you explicitly allow redistribution
> in both modified and un-modified form. That's the minimal requirements for
> us.
>
> Thanks for your work so far!
>
> --
> Specify OpenDocument icon(s) in Apache2 configuration
> https://bugs.launchpad.net/bugs/130836
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Pete Harlow
Catnip Corner - Photography by Pete Harlow - http://www.catnip.co.uk/
http://www.catnip.co.uk/wallpaper/
"La couleur est l'enthousiasme de la vie." (Vincent Van Gogh)
Please use ISO 26300 format (.odt - .ods - .odp - .odg) to send me
attachments

On Thu, Nov 15, 2007 at 10:35:06AM -0000, Pete Harlow wrote:
> That is not a problem - I've already forwarded the Apache size icons to the
> Apache httpd project under their licence and completed the paperwork
> required. What do you need from me for Ubuntu?
>

Could gave a link to the submission you've made to apache ?

--
Mathias

On 15/11/2007, Mathias Gug <email address hidden> wrote:
>
>
> Could gave a link to the submission you've made to apache ?

http://issues.apache.org/bugzilla/show_bug.cgi?id=40984

http://issues.apache.org/bugzilla/show_bug.cgi?id=37185

Regards,

--
Pete Harlow
Catnip Corner - Photography by Pete Harlow - http://www.catnip.co.uk/
http://www.catnip.co.uk/wallpaper/
"La couleur est l'enthousiasme de la vie." (Vincent Van Gogh)
Please use ISO 26300 format (.odt - .ods - .odp - .odg) to send me
attachments

Changed in apache2:
status: Unknown → Incomplete
Changed in apache2:
status: Triaged → Confirmed
Daniel Holbach (dholbach) wrote :

What's the status of this?

Nicolas Valcarcel (nvalcarcel) wrote :

On Apache, they said they will not fix this, because they don't find it necessary or useful, here it has been said the license isn't ubuntu compatible, so i'm searching other icons with a compatible license.

Pete Harlow (peter-harlow) wrote :

What is the problem with the licence? I am willing to consider relicencing
the icons I have contributed to satisfy the Ubuntu requirements.

Scott Kitterman (kitterman) wrote :

I'd argue it's against point 5 and/or 6 of DFSG:

http://www.debian.org/social_contract

You can't restrict the purpose for which it's used. By your license,
ihateopendoc.org (if there is such a thing) couldn't use the icons and that's
a restriction on the type of use.

The simplest thing to do is just to license it under the Apache Software
Foundation license. Then there's no possible issue.

Also, your web page should say the icons are copyright you and not trademark
unless you've actually registered trademarks and are legally entitled to the
mark.

Pete Harlow (peter-harlow) wrote :

The icons which are in the Apache sizes (20x22 and 16x16) are, as far as I
am concerned, under the Apache licence. I have submitted these to the Apache
project, and I have a CLA on file with the Apache Foundation. I'll modify
the web page to this effect later.

The trademark on my web page arose when I originally produced the icons in
discussion with the Opendocument Fellowship. During these discussions (which
should all be in the Opendocument Fellowship email archives) it was felt
that icons could not be copyrighted and should be trademarked instead.
Anyone can declare something as trademarked, in a similar way to claiming
copyright apparently - this is a different thing to a registered trademark I
am told.

Hope this helps.

Mathias Gug (mathiaz) wrote :

There is a new version of the apache2 package in hardy. So the debdiff needs to be updated.

Nicolas Valcarcel (nvalcarcel) wrote :

Yes, i will work on this later today.

Changed in apache2:
assignee: nobody → nxvl
status: Confirmed → In Progress
Nicolas Valcarcel (nvalcarcel) wrote :

attaching new debdiff using the new hardy version.

Changed in apache2:
assignee: nxvl → nobody
status: In Progress → Confirmed

On Thu, Jan 10, 2008 at 04:29:33PM -0000, Nicolas Valcárcel (nxvl) wrote:
> Changes merged with bug #112991, see debdiff on
> http://launchpadlibrarian.net/11269193/apache2_2.2.6-3ubuntu2.debdiff

I'm overall happy with this now. After the alpha release, I'll do a
quick test of it and if it goes as expected (it looks reasonable), I'll
upload then.

--
Soren Hansen
Ubuntu Server Team
http://www.ubuntu.com/

Nicolas Valcarcel (nvalcarcel) wrote :

Soren: Did you test it?

Soren Hansen (soren) wrote :

On Tue, Jan 15, 2008 at 05:22:05PM -0000, Nicolas Valcárcel (nxvl) wrote:
> Soren: Did you test it?

Doing so right now..

--
Soren Hansen
Ubuntu Server Team
http://www.ubuntu.com/

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apache2 - 2.2.6-3ubuntu2

---------------
apache2 (2.2.6-3ubuntu2) hardy; urgency=low

  [ Nicolas Valcárcel ]
  * Added icons for OpenDocuments by default on mime.conf
    (Closes: LP: #130836)
  * Icons added to the package in uuencode format
  * Added sharutils to Build-Depends on debian/control for uuencode
  * debian/apache2.2-common.apache2.init:
    - Only look for *.conf files in /etc/apache2 when searching for pidfiles
      (Closes: LP: #112991) Thanks to Daniel Hahler for the patch

  [ Soren Hansen ]
  * Clean up after OpenDocument icon generation

 -- Soren Hansen <email address hidden> Wed, 16 Jan 2008 08:52:01 +0100

Changed in apache2:
status: Confirmed → Fix Released
Changed in apache2:
importance: Unknown → Wishlist

Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.

Changed in apache2:
status: Incomplete → Unknown
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.